> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Seed Group

> Retrieves a single seed group.




## OpenAPI

````yaml /asset-discovery-openapi.yaml get /v1/organizations/{organizationUid}/seed-groups/{seedGroupUid}
openapi: 3.0.3
info:
  title: Asset Discovery
  description: >-
    RESTful API for managing seeds, seed groups used in the asset discovery
    process.
  version: '1.0'
  contact:
    name: Synack Engineering
    email: engineering@synack.com
servers:
  - url: https://client.synack.com/api/asset-discovery
    description: Commercial
  - url: https://client.synack.us/api/asset-discovery
    description: FedRAMP (Medium)
security: []
tags:
  - name: Seeds
    description: Collections of seeds associated with a listing.
  - name: Tags
    description: Tags applied to seeds and seed groups.
paths:
  /v1/organizations/{organizationUid}/seed-groups/{seedGroupUid}:
    parameters:
      - $ref: '#/components/parameters/OrganizationUIDPath'
      - $ref: '#/components/parameters/SeedGroupUIDPath'
    get:
      tags:
        - Seeds
      description: |
        Retrieves a single seed group.
      operationId: getSeedGroup
      responses:
        '200':
          $ref: '#/components/responses/SingleSeedGroupResponse'
        '401':
          $ref: '#/components/responses/401Unauthorized'
        '403':
          $ref: '#/components/responses/403Forbidden'
        '404':
          $ref: '#/components/responses/404NotFound'
        '500':
          $ref: '#/components/responses/500InternalServerError'
        '503':
          $ref: '#/components/responses/503ServiceUnavailable'
      security:
        - OAuth2:
            - assetdiscovery_or
components:
  parameters:
    OrganizationUIDPath:
      name: organizationUid
      in: path
      schema:
        $ref: '#/components/schemas/OrganizationUID'
      required: true
      description: Unique identifier for an organization group.
    SeedGroupUIDPath:
      name: seedGroupUid
      in: path
      schema:
        $ref: '#/components/schemas/SeedGroupUID'
      required: true
      description: Unique identifier for a seed group.
  responses:
    SingleSeedGroupResponse:
      description: The current state of the requested asset.
      headers:
        ETag:
          $ref: '#/components/headers/ETag'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/SeedGroup'
    401Unauthorized:
      description: Unauthorized.
    403Forbidden:
      description: Forbidden
    404NotFound:
      description: Not found.
    500InternalServerError:
      description: Internal Server Error.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ProblemDetails'
    503ServiceUnavailable:
      description: Service Unavailable.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ProblemDetails'
  schemas:
    OrganizationUID:
      type: string
      pattern: ^[-_0-9a-z]{1,50}
      description: Unique identifier for an organization.
    SeedGroupUID:
      type: string
      pattern: ^[0-9a-f]{12}
      description: Unique identifier for a seed group.
    SeedGroup:
      allOf:
        - type: object
          required:
            - autoConfirmationEnabled
            - limitReached
          properties:
            uid:
              $ref: '#/components/schemas/UID'
            organizationUid:
              $ref: '#/components/schemas/OrganizationUID'
            name:
              type: string
              readOnly: true
              description: User-supplied name for this seed group.
            listingUid:
              $ref: '#/components/schemas/ListingUID'
            scanStatus:
              type: string
              readOnly: true
              enum:
                - created
                - in_progress
                - completed
                - failed
            lastScanAt:
              type: string
              format: date-time
              readOnly: true
            asmEnabled:
              type: boolean
              readOnly: true
              description: Indicates whether ASM is enabled for this seed group.
            autoConfirmationEnabled:
              type: boolean
              description: >-
                Indicates whether discovered assets from this seed group will be
                created as unconfirmed or confirmed.
            totalSeeds:
              type: integer
              readOnly: true
              description: Derived count of seeds in this seed group.
            limitReached:
              type: boolean
              description: >-
                Indicates that the seed group scan has reached a limit on the
                number of assets that can be discovered from it.
            tags:
              type: array
              items:
                $ref: '#/components/schemas/Tag'
        - $ref: '#/components/schemas/Updatable'
    ProblemDetails:
      type: object
      description: >-
        See [RFC 7807: Problem Details for HTTP
        APIs](https://tools.ietf.org/html/rfc7807)
      properties:
        type:
          type: string
          readOnly: true
        title:
          type: string
          readOnly: true
        status:
          type: integer
          format: int32
          minimum: 100
          maximum: 511
          description: HTTP Status code.
          readOnly: true
        detail:
          type: string
          description: Message detailing the problem.
          readOnly: true
        instance:
          type: string
          description: generated problem instance number to correlate with logs
          readOnly: true
        failedValidation:
          type: array
          description: Array of failed validation rules.
          readOnly: true
          items:
            $ref: '#/components/schemas/FailedValidation'
        failedValidations:
          type: array
          description: Array of indexed failed validation rules.
          readOnly: true
          items:
            $ref: '#/components/schemas/IndexedFailedValidations'
        maxBatchSize:
          type: integer
          description: Maximum processable batch size.
          readOnly: true
        batchSize:
          type: integer
          description: Batch size sent when batch is too large.
          readOnly: true
    UID:
      type: string
      pattern: ^[0-9a-f]{12}
      readOnly: true
      description: Unique Identifier.
    ListingUID:
      type: string
      pattern: ^[-_0-9a-z]{1,50}
      description: Unique identifier for an listing.
    Tag:
      type: string
      pattern: ^[-_0-9a-zA-Z]{1,16}
    Updatable:
      allOf:
        - type: object
          properties:
            updatedAt:
              type: string
              format: date-time
              readOnly: true
              description: >-
                Automatically set by the server to the time the request was
                processed whenever the resource is updated.
            updatedBy:
              $ref: '#/components/schemas/OperationUserUID'
        - $ref: '#/components/schemas/Creatable'
    FailedValidation:
      type: object
      required:
        - message
      properties:
        property:
          type: string
          readOnly: true
        value:
          type: string
          readOnly: true
        message:
          type: string
          readOnly: true
    IndexedFailedValidations:
      type: object
      properties:
        index:
          type: integer
          description: >-
            Zero-based index indicating the which item in request containing an
            array of items has failed validation.
          readOnly: true
        failedValidation:
          type: array
          description: Array of failed validation rules.
          readOnly: true
          items:
            $ref: '#/components/schemas/FailedValidation'
    OperationUserUID:
      type: string
      pattern: ^[0-9a-f]{12}
      readOnly: true
      description: >-
        Automatically set by the server to the requesting user whenever the
        resource is updated. May be a user account or a service account if the
        action is performed by an automated.
    Creatable:
      type: object
      required:
        - createdAt
        - createdBy
      properties:
        createdAt:
          type: string
          format: date-time
          readOnly: true
          description: >-
            Automatically set by the server to the time the request was
            processed whenever the resource was created.
        createdBy:
          $ref: '#/components/schemas/OperationUserUID'
  headers:
    ETag:
      description: An identifier for a specific version of a resource
      schema:
        type: string
        pattern: ^(?:W\/)?\".*\"$
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: login.synack.com
          scopes:
            assetdiscovery_gr: Grants global-level to read seed groups and seeds.
            assetdiscovery_or: Grants organization-level to read seed groups and seeds.
            assetdiscovery_ow: >-
              Grants organization-level to create or modify seed groups and
              seeds.
            assetdiscovery_lr: Grants listing-level to read seed groups and seeds.
            asset_client_lw: Grants listing-level to write seed groups and seeds.

````